File::Path::Expand(3)

NAME
File::Path::Expand - expand filenames

SYNOPSIS
 use File::Path::Expand;
 print expand_filename("~richardc/foo"); # prints "/home/richardc/foo"

DESCRIPTION
File::Path::Expand expands user directories in filenames. For the simple case it's no more complex than s{^~/}{$HOME/}, but for other cases it consults "getpwent" and does the right thing.

AUTHOR
Richard Clamp <richardc@unixbeard.net>

COPYRIGHT
Copyright (c) 2003, Richard Clamp. All Rights Reserved. This module is free software. It may be used, redistributed and/or modified under the same terms as Perl itself.